Skip to content

Create a service.

POST
/service/
curl --request POST \
--url https://api.siteqwality.com/service/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "description": "example", "escalation_policy_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "incident_creation_mode": "auto", "incident_merge_window_minutes": 1, "auto_publish_to_status_page_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "default_incident_severity": "minor" }'
Media type application/json
object
name
required
string
description
string | null
escalation_policy_id
string | null format: uuid
incident_creation_mode
One of:
null
incident_merge_window_minutes
integer | null format: int32
auto_publish_to_status_page_id
string | null format: uuid
default_incident_severity
One of:
null

Service created

Media type application/json
object
id
required
string format: uuid
name
required
string
description
string | null
escalation_policy_id
string | null format: uuid
incident_creation_mode
required
string
Allowed values: auto auto_with_confirmation manual
incident_merge_window_minutes
required
integer format: int32
auto_publish_to_status_page_id
string | null format: uuid
default_incident_severity
required
string
Allowed values: minor major critical
created_at
required
string format: date-time
monitor_count
integer format: int64
Example
{
"incident_creation_mode": "auto",
"default_incident_severity": "minor"
}

Invalid request body

Missing or invalid authentication

Internal server error